Subject: Re: bug#11858: df -m undocumented, why no df -g

From: Jim Meyering <[email-masked]>
Date: Thu, 05 Jul 2012 14:35:32 +0200

Bernhard Voelker wrote:
> On 07/04/2012 09:38 PM, Paul Eggert wrote:
>> On 07/04/2012 01:11 AM, Andreas Jaeger wrote:
>>> df -k and df -m both work but only df -k is mentioned as part of df --
>>> help. So, the omission to document -m is IMO a bug.
>>
>> I think the general idea is that -k was a mistake, but
>> it's standardized, and that we don't want to have
>> options -m, -g, -t, -p, -e, -z, -y for the other sizes
>> (among other things -t is already taken).  -m is there
>> only for BSD compatibility but we don't want to publicize
>> it and we may want to take it back at some point.
>
> Wouldn't it then be consequent to remove the long option --megabyte?
> (It's sister --kilobyte has been removed by v6.9-151-g1e07a21
> in 2007.)
...
> Subject: [PATCH] df: Remove long-obsolescent --megabyte option.
>
> * src/df.c (long_options): Remove --megabyte option.
> ---
>  src/df.c |    1 -
>  1 files changed, 0 insertions(+), 1 deletions(-)
>
> diff --git a/src/df.c b/src/df.c
> index e99fedf..8520424 100644
> --- a/src/df.c
> +++ b/src/df.c
> @@ -178,7 +178,6 @@ static struct option const long_options[] =
>    {"human-readable", no_argument, NULL, 'h'},
>    {"si", no_argument, NULL, 'H'},
>    {"local", no_argument, NULL, 'l'},
> -  {"megabytes", no_argument, NULL, 'm'}, /* obsolescent */
>    {"portability", no_argument, NULL, 'P'},
>    {"print-type", no_argument, NULL, 'T'},
>    {"sync", no_argument, NULL, SYNC_OPTION},

Hi Berny,

I like the idea, but wonder if an abrupt removal would break old scripts.
For du, we made its --megabytes option issue a warning first, and removed
it altogether a year or two later.

However, I'm tempted to remove it directly this time, since it's been
undocumented for a while:

  5 years in df.1 and df --help: COREUTILS-6_9-151-g1e07a21
  11 years in coreutils.texi: FILEUTILS-4_1_4-28-gf5bf6fe

What do you think?